#!/bin/sh
#
# This shell script builds the gtk_tree product, which is a combination
# of gtk+, glib, atk, pango, libintl and libiconv.
#
GTK_VER=2.0.3-20020530
GLIB_VER=2.0.1-20020329
ATK_VER=1.0.1-20020518
PANGO_VER=1.0.2-20020530
LIBINTL_VER=0.10.40-20020310
LIBICONV_VER=1.7
#
BUILD_DIR=build
/bin/rm -rf $BUILD_DIR/*
cp build.sh build
mkdir $BUILD_DIR/runtime $BUILD_DIR/runtime/lib
unzip -q -n -d $BUILD_DIR libintl-${LIBINTL_VER}.zip
cp $BUILD_DIR/lib/*.dll $BUILD_DIR/runtime/lib
unzip -q -n -d $BUILD_DIR gtk+-dev-${GTK_VER}.zip
unzip -q -n -d $BUILD_DIR/runtime gtk+-${GTK_VER}.zip
unzip -q -n -d $BUILD_DIR glib-dev-${GLIB_VER}.zip
unzip -q -n -d $BUILD_DIR/runtime glib-${GLIB_VER}.zip
unzip -q -n -d $BUILD_DIR atk-dev-${ATK_VER}.zip
unzip -q -n -d $BUILD_DIR/runtime atk-${ATK_VER}.zip
unzip -q -n -d $BUILD_DIR pango-dev-${PANGO_VER}.zip
unzip -q -n -d $BUILD_DIR/runtime pango-${PANGO_VER}.zip
unzip -q -n -d $BUILD_DIR libiconv-dev-${LIBICONV_VER}.zip
unzip -q -n -d $BUILD_DIR/runtime libiconv-${LIBICONV_VER}.zip
